Subject: Resending Bird20, from Kellee Crisafulli

From: Kellee Crisafulli <[email-masked]>
Date: 28 Oct 94 03:01:27 EDT

From: Kellee Crisafulli
To: IBIS community
Re: Bird 20.0
Date: 10-10-94

 )
  )
   )
 )   \
    \ \
   \ \ \ 

   ^^^^^
   o   o
     (
   \___/
 
 Have a sunny day....Kellee

*******************************************************************************
*******************************************************************************

                      Buffer Issue Resolution Document  (BIRD)

BIRD ID#:      20.0
ISSUE TITLE:   Error correction regarding monotonicity statement in V2.1
               IBIS specification.
REQUESTOR:     Kellee Crisafulli, HyperLynx Inc.
DATE SUBMITTED:                       10-10-94
DATE REVISED:                         TBD
DATE ACCEPTED BY IBIS OPEN FORUM:     TBD

*******************************************************************************
*******************************************************************************

STATEMENT OF THE ISSUE:  There are two errors in the IBIS version 2.1
specification regarding monotonicity.  During the meeting on 10-7-94 the
IBIS forum agreed to change the specification to correct these errors.

*******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:
The following changes apply to version 2.1 of the specification and IBIS_CHK
program.

***************************************************************************
Change 1- Delete the note about 'non-monotonic in one axis'
***************************************************************************
In the section defining the keywords [Pulldown], [Pullup], [GND Clamp],
[POWER Clamp] and following the paragraph titled "Monotonicity Requirements"
the following note is present:

|                Note that the above conditions allow the data to be
|                non-monotonic in one axis.

The above two lines shall be deleted from the specification.

***************************************************************************
Change 2- Add two paragraphs from BIRD 8.2
***************************************************************************
Add the following two paragraphs where the sentence from change 1 above
is removed.  This is not an error or even a warning.  It was down-graded
to a simple NOTE: in BIRD 8.2

*
*               The IBIS_CHK program will test for non-monotonic data and
*               provide a maximum of one note per V/I table if non-montonic
*               data is found.   For example:
*                "NOTE: Line 300, Pulldown V/I table for model DC040403 is
*                 non-monotonic!  Most simulators will filter this data
*                 to remove the non-monotonic data."
*
*               It is also recognized that the some data may be monotonic if
*               currents from both the output stage and the clamp diode are
*               added together as most simulators do.  To limit the complexity
*               of the version 2.0 IBIS_CHK program, it will consider only one
*               V/I table at a time monotonicity testing.

*******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION: The problems were discovered while
the new IBIS_CHK V2.x program was being written.  The problems were reported
to the IBIS forum at the 10-7-94 meeting by Arpad of Intel.

*******************************************************************************
ANY OTHER BACKGROUND INFORMATION:
Bird 8.2 address's this issue.